> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable AI for an Embedded Bucket

> Deletes an entire bucket's embeddings and disables the bucket for AI-use, returning it to normal storage pricing.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/ai/analytics.yml delete /ai/embeddings/buckets/{bucket_name}
openapi: 3.1.0
info:
  title: Telnyx AI Analytics API
  version: 2.0.0
  description: API for AI conversations, insights, embeddings, and clusters.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /ai/embeddings/buckets/{bucket_name}:
    delete:
      tags:
        - Embeddings
      summary: Disable AI for an Embedded Bucket
      description: >-
        Deletes an entire bucket's embeddings and disables the bucket for
        AI-use, returning it to normal storage pricing.
      operationId: embedding_bucket_files_public_embedding_buckets__bucket_name__delete
      parameters:
        - required: true
          schema:
            type: string
            title: Bucket Name
          name: bucket_name
          in: path
      responses:
        '200':
          description: Bucket Embeddings Deleted Successfully
        '404':
          description: Bucket Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BucketNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            await client.ai.embeddings.buckets.delete('bucket_name');
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.ai.embeddings.buckets.delete(
                "bucket_name",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.AI.Embeddings.Buckets.Delete(context.TODO(), \"bucket_name\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.ai.embeddings.buckets.BucketDeleteParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    client.ai().embeddings().buckets().delete("bucket_name");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            result = telnyx.ai.embeddings.buckets.delete("bucket_name")

            puts(result)
        - lang: CLI
          source: |-
            telnyx ai:embeddings:buckets delete \
              --api-key 'My API Key' \
              --bucket-name bucket_name
components:
  schemas:
    BucketNotFoundError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/NotFoundError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    NotFoundError:
      properties:
        code:
          type: string
          title: Telnyx error code
        detail:
          type: string
          title: Error details
        title:
          type: string
          title: Error title
      type: object
      required:
        - detail
      title: NotFoundError
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````